#
# spec file for package lightdm-kde-greeter
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lightdm-kde-greeter
Version:        0.3.2.1
Release:        14.2
Summary:        KDE Qt-based Greeter for LightDM
License:        GPL-3.0+
Group:          System/X11/Displaymanagers
Url:            https://projects.kde.org/projects/playground/base/lightdm
Source0:        lightdm-kde-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM FindQLightDM.cmake-Search-for-new-liblightdm-qt-3-as.patch -- Change includes/libraries searching for new libqtlightdm so
Patch0:         FindQLightDM.cmake-Search-for-new-liblightdm-qt-3-as.patch
BuildRequires:  libkde4-devel
BuildRequires:  lightdm-qt-devel >= 1.4.0
BuildRequires:  update-alternatives
BuildRequires:  pkgconfig(QtGui)
Requires:       kdebase4-workspace-branding = %{_kde_branding_version}
Requires:       lightdm >= 1.4.0
Provides:       lightdm-greeter = %{version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): update-alternatives
Requires(postun):update-alternatives
%kde4_runtime_requires

%description
This is the KDE implementation of a LightDM greeter based on the Qt
toolkit.

%lang_package

%prep
%setup -q -n lightdm-%{version}
%if 0%{?suse_version} > 1230
%patch0 -p1
%endif

%build
%cmake_kde4 -d build
%make_jobs

%install
%kde4_makeinstall -C build

%if 0%{?suse_version} < 1310
echo "setBadness('suse-dbus-unauthorized-service', 0)" > $RPM_SOURCE_DIR/%name-rpmlintrc
echo "setBadness('polkit-unauthorized-privilege', 0)" >> $RPM_SOURCE_DIR/%name-rpmlintrc
%endif

%if 0%{?suse_version} >= 1320
install -d -m 755 %{buildroot}%{_sysconfdir}/alternatives/
touch %{buildroot}%{_sysconfdir}/alternatives/lightdm-default-greeter.desktop
ln -s %{_sysconfdir}/alternatives/lightdm-default-greeter.desktop \
    %{buildroot}%{_datadir}/xgreeters/lightdm-default-greeter.desktop
%endif

%find_lang lightdm_theme_classic %{name}.lang
%find_lang kcm_lightdm %{name}.lang
%find_lang lightdm_theme_userbar %{name}.lang
%find_lang desktop_playground-base_lightdm %{name}.lang

%clean
rm -rf %{buildroot}

%post
if [ ! -e /.buildenv ]; then
%{_sbindir}/update-alternatives --install \
    %{_datadir}/xgreeters/lightdm-default-greeter.desktop \
    lightdm-default-greeter.desktop \
    %{_datadir}/xgreeters/lightdm-kde-greeter.desktop \
    20
fi

%postun
if [ $1 -eq 0 -a ! -e /.buildenv ]; then
    %{_sbindir}/update-alternatives --remove lightdm-default-greeter.desktop \
        %{_datadir}/xgreeters/lightdm-kde-greeter.desktop
fi

%files
%defattr(-,root,root,-)
%doc COPYING NEWS
#doc TODO
%{_sbindir}/lightdm-kde-greeter
%dir %{_datadir}/xgreeters
%{_datadir}/xgreeters/lightdm-kde-greeter.desktop
%_kde4_appsdir/lightdm-kde-greeter
%_kde4_modulesdir/kcm_lightdm.so
%_kde4_modulesdir/libexec/kcmlightdmhelper
%_kde4_servicesdir/kcm_lightdm.desktop
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmlightdm.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmlightdm.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmlightdm.conf
%if 0%{?suse_version} >= 1320
%{_datadir}/xgreeters/lightdm-default-greeter.desktop
%else
%ghost %attr(644,root,root) %{_datadir}/xgreeters/lightdm-default-greeter.desktop
%endif
%ghost %attr(644,root,root) %{_sysconfdir}/alternatives/lightdm-default-greeter.desktop
%{_kde4_modulesdir}/libexec/lightdm-kde-greeter-rootimage

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Tue Jul 28 2015 tiwai@suse.de
- fix update-alternative usage for Leap 42.1 (boo#939693)
* Sat Feb  8 2014 gber@opensuse.org
- adjust update-alternative usage to packaging policy
  (see http://lists.opensuse.org/opensuse-packaging/2014-02/msg00024.html)
* Mon Oct 28 2013 hrvoje.senjan@gmail.com
- Avoid rpmlint fatal reporting on old distros
* Wed Oct  2 2013 hrvoje.senjan@gmail.com
- Swap adjust-for-new-libqtlightdm-version.patch with upstream version:
  FindQLightDM.cmake-Search-for-new-liblightdm-qt-3-as.patch
- Drop kdebase4-wallpapers requires, and add kdebase4-workspace-branding
  requires
- Drop cmake workaround, and use macro from kde4-filesystem
* Thu Jun 27 2013 tittiatcoke@gmail.com
- Add additional files (COPYING) to the filelist
* Sat May  4 2013 hrvoje.senjan@gmail.com
- Added adjust-for-new-libqtlightdm-version.patch, adjust cmake
  search for new libqtlightdm *.so, which comes with version 1.7
* Wed Apr 17 2013 hrvoje.senjan@gmail.com
- Update to 0.3.2.1
  * Bugfix release
* Tue Apr 16 2013 hrvoje.senjan@gmail.com
- Update to 0.3.2
  * Bugfix release
* Sun Dec 16 2012 hrvoje.senjan@gmail.com
- Update to 0.3.1
  * Fix localization issue
  * Add a workaround for AccountsService supplying the wrong icon file
  * Check QLightDM version
* Thu Dec 13 2012 hrvoje.senjan@gmail.com
- Initial package
